%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php5-pear-channel-phpontrax
Version:        1.0
Release:        1.6
Summary:        Adds pear.phpontrax.com channel to PEAR

Group:          Development/Languages
License:        N/A
URL:            http://pear.phpontrax.com/
Source0:        http://pear.phpontrax.com/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildArch:      noarch
BuildRequires:  php5-pear
PreReq:         php5 php5-pear

%description
This package adds the pear.phpontrax.com channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/pear.phpontrax.com.xml


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/pear.phpontrax.com.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/pear.phpontrax.com.xml > /dev/null ||:
fi


%postun
if [ $1 -eq 0 ] ; then
   pear channel-delete pear.phpontrax.com > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/*

